create table public.t_camp (
  pk integer not null primary key generated always as identity,
  name text not null,
  arrive timestamp without time zone not null,
  depart timestamp without time zone not null,
  fk_location integer not null references public.t_location(pk),
  min_age integer not null,
  max_age integer not null,
  min_teacherage integer,
  price text,
  countries text,
  fk_document integer references public.t_document(pk),
  lock_sales boolean default false not null,
  fk_profile integer not null references public.t_profile(pk),
  beds_male integer not null default 0,
  beds_female integer not null default 0,
  blocked_beds_male integer not null default 0,
  blocked_beds_female integer not null default 0,
  start_booking timestamp without time zone not null
);
