create view public.v_document as
 select d.pk,
  d.doctype,
  d.name,
  d.document,
  d.filetype,
  string_agg((r.camprole)::text, ','::text) as roles
   from (public.t_document d
   left join public.t_documentrole r on ((r.fk_document = d.pk)))
  group by d.pk, d.doctype, d.name, d.document, d.filetype;
