create view public.v_dsgvo_delete_candidate as
 select p.pk as fk_person,
  p.forename,
  p.surname,
  p.fk_camp,
  age((p.birthdate)::timestamp with time zone) as age,
  p.camprole,
  c.name,
  c.year,
  c.is_over
   from (public.t_person p
   left join public.v_camp c on ((c.pk = p.fk_camp)))
  where (age((p.birthdate)::timestamp with time zone) > '21 years'::interval);
