create view public.v_feeder as
 select t_person.forename,
  t_person.surname,
  t_person.street,
  t_person.zip,
  t_person.city,
  t_person.phone,
  age(c.arrive, (t_person.birthdate)::timestamp without time zone) as age,
  t_person.email,
  t_person.sex,
  c.name,
  date_part('year'::text, c.arrive) as year
   from (public.t_person
   left join public.t_camp c on ((c.pk = t_person.fk_camp)))
  where (t_person.camprole = 'feeder'::public.enum_camprole);
