create view public.v_sales as
 select s.pk,
  s.trader,
  c.pk as fk_camp,
  c.name,
  l.pk as fk_location,
  l.name as location,
  s.incredients,
  date_part('isoyear'::text, c.arrive) as year,
  s.pk as fk_sales,
  s.provider,
  s.cash,
  s.buydate,
  s.recipenumber,
  s.recipeshot,
  s.recipenote,
  array_agg(t.fk_salescontenttype) as content
   from (((public.t_sales s
   left join public.t_camp c on ((c.pk = s.fk_camp)))
   left join public.t_location l on ((l.pk = c.fk_location)))
   left join public.t_salescontent t on ((t.fk_sales = s.pk)))
  group by s.pk, s.trader, c.pk, c.name, l.pk, l.name, s.incredients, (date_part('isoyear'::text, c.arrive)), s.provider, s.cash, s.buydate, s.recipenumber, s.recipeshot;
